org.eclipse.microprofile.reactive.streams.operators.tck.spi

## Class CancelStageVerification.SubscriberVerification

- java.lang.Object
- - org.reactivestreams.tck.WithHelperPublisher<T>
  - - org.reactivestreams.tck.SubscriberBlackboxVerification<T>
    - - org.eclipse.microprofile.reactive.streams.operators.tck.spi.CancelStageVerification.SubscriberVerification

All Implemented Interfaces:
  org.reactivestreams.tck.flow.support.SubscriberBlackboxVerificationRules

Enclosing class:
  CancelStageVerification

    public class CancelStageVerification.SubscriberVerification
    extends org.reactivestreams.tck.SubscriberBlackboxVerification<T>

### Nested Class Summary

### Nested classes/interfaces inherited from class org.reactivestreams.tck.SubscriberBlackboxVerification

`org.reactivestreams.tck.SubscriberBlackboxVerification.BlackboxTestStage`

### Field Summary

### Fields inherited from class org.reactivestreams.tck.SubscriberBlackboxVerification

`env`

### Constructor Summary

Constructors
Constructor and Description
`SubscriberVerification()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `createElement(int element)`
`org.reactivestreams.Subscriber` `createSubscriber()`
`void` `required_spec201_blackbox_mustSignalDemandViaSubscriptionRequest()`
`void` `required_spec209_blackbox_mustBePreparedToReceiveAnOnCompleteSignalWithPrecedingRequestCall()`
`void` `required_spec210_blackbox_mustBePreparedToReceiveAnOnErrorSignalWithPrecedingRequestCall()`

### Methods inherited from class org.reactivestreams.tck.SubscriberBlackboxVerification

`blackboxSubscriberTest, blackboxSubscriberWithoutSetupTest, notVerified, publisherExecutorService, required_spec203_blackbox_mustNotCallMethodsOnSubscriptionOrPublisherInOnComplete, required_spec203_blackbox_mustNotCallMethodsOnSubscriptionOrPublisherInOnError, required_spec205_blackbox_mustCallSubscriptionCancelIfItAlreadyHasAnSubscriptionAndReceivesAnotherOnSubscribeSignal, required_spec209_blackbox_mustBePreparedToReceiveAnOnCompleteSignalWithoutPrecedingRequestCall, required_spec210_blackbox_mustBePreparedToReceiveAnOnErrorSignalWithoutPrecedingRequestCall, required_spec213_blackbox_onError_mustThrowNullPointerExceptionWhenParametersAreNull, required_spec213_blackbox_onNext_mustThrowNullPointerExceptionWhenParametersAreNull, required_spec213_blackbox_onSubscribe_mustThrowNullPointerExceptionWhenParametersAreNull, setUp, shutdownPublisherExecutorService, startPublisherExecutorService, triggerRequest, untested_spec202_blackbox_shouldAsynchronouslyDispatch, untested_spec204_blackbox_mustConsiderTheSubscriptionAsCancelledInAfterRecievingOnCompleteOrOnError, untested_spec206_blackbox_mustCallSubscriptionCancelIfItIsNoLongerValid, untested_spec207_blackbox_mustEnsureAllCallsOnItsSubscriptionTakePlaceFromTheSameThreadOrTakeCareOfSynchronization, untested_spec208_blackbox_mustBePreparedToReceiveOnNextSignalsAfterHavingCalledSubscriptionCancel, untested_spec211_blackbox_mustMakeSureThatAllCallsOnItsMethodsHappenBeforeTheProcessingOfTheRespectiveEvents, untested_spec212_blackbox_mustNotCallOnSubscribeMoreThanOnceBasedOnObjectEquality, untested_spec213_blackbox_failingOnSignalInvocation, untested_spec301_blackbox_mustNotBeCalledOutsideSubscriberContext, untested_spec308_blackbox_requestMustRegisterGivenNumberElementsToBeProduced, untested_spec310_blackbox_requestMaySynchronouslyCallOnNextOnSubscriber, untested_spec311_blackbox_requestMaySynchronouslyCallOnCompleteOrOnError, untested_spec314_blackbox_cancelMayCauseThePublisherToShutdownIfNoOtherSubscriptionExists, untested_spec315_blackbox_cancelMustNotThrowExceptionAndMustSignalOnError, untested_spec316_blackbox_requestMustNotThrowExceptionAndMustOnErrorTheSubscriber`

### Methods inherited from class org.reactivestreams.tck.WithHelperPublisher

`createHelperPublisher`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SubscriberVerification

    public SubscriberVerification()

### Method Detail

#### createSubscriber

    public org.reactivestreams.Subscriber createSubscriber()

Specified by:
  `createSubscriber` in class `org.reactivestreams.tck.SubscriberBlackboxVerification`

#### createElement

    public java.lang.Object createElement(int element)

Specified by:
  `createElement` in class `org.reactivestreams.tck.WithHelperPublisher`

#### required_spec201_blackbox_mustSignalDemandViaSubscriptionRequest

    public void required_spec201_blackbox_mustSignalDemandViaSubscriptionRequest()
                                                                          throws java.lang.Throwable

Specified by:
  `required_spec201_blackbox_mustSignalDemandViaSubscriptionRequest` in interface `org.reactivestreams.tck.flow.support.SubscriberBlackboxVerificationRules`
Overrides:
  `required_spec201_blackbox_mustSignalDemandViaSubscriptionRequest` in class `org.reactivestreams.tck.SubscriberBlackboxVerification`
Throws:
  `java.lang.Throwable`

#### required_spec209_blackbox_mustBePreparedToReceiveAnOnCompleteSignalWithPrecedingRequestCall

    public void required_spec209_blackbox_mustBePreparedToReceiveAnOnCompleteSignalWithPrecedingRequestCall()
                                                                                                     throws java.lang.Throwable

Specified by:
  `required_spec209_blackbox_mustBePreparedToReceiveAnOnCompleteSignalWithPrecedingRequestCall` in interface `org.reactivestreams.tck.flow.support.SubscriberBlackboxVerificationRules`
Overrides:
  `required_spec209_blackbox_mustBePreparedToReceiveAnOnCompleteSignalWithPrecedingRequestCall` in class `org.reactivestreams.tck.SubscriberBlackboxVerification`
Throws:
  `java.lang.Throwable`

#### required_spec210_blackbox_mustBePreparedToReceiveAnOnErrorSignalWithPrecedingRequestCall

    public void required_spec210_blackbox_mustBePreparedToReceiveAnOnErrorSignalWithPrecedingRequestCall()
                                                                                                  throws java.lang.Throwable

Specified by:
  `required_spec210_blackbox_mustBePreparedToReceiveAnOnErrorSignalWithPrecedingRequestCall` in interface `org.reactivestreams.tck.flow.support.SubscriberBlackboxVerificationRules`
Overrides:
  `required_spec210_blackbox_mustBePreparedToReceiveAnOnErrorSignalWithPrecedingRequestCall` in class `org.reactivestreams.tck.SubscriberBlackboxVerification`
Throws:
  `java.lang.Throwable`